
#ifndef USART_H
#define USART_H

#ifdef SUPPORT_USART

extern volatile uint8_t TxBuffer[USART_MAX][128];
extern volatile uint8_t RxBuffer[USART_MAX][128];
extern volatile uint8_t Tx_Flag[USART_MAX];
extern volatile uint16_t TxCounter[USART_MAX];
extern volatile uint16_t NbrOfDataToTransfer[USART_MAX];

void USART_SEND (uint8_t device_id, char *data, uint16_t count);
void USART_SEND_STR (uint8_t device_id, char *data);
void USART_TX_START (uint8_t device_id);

#endif
#endif

