/*
Copyright (C) 2009  Oliver Dippel <o.dippel@gmx.de>

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

On Debian GNU/Linux systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL'.
*/

#include <rc.h>
#include <usart.h>
#include <rc_act_rx.h>

#ifdef SUPPORT_USART
#ifdef SUPPORT_ACT

void Act_Calibrate (void) {
	Rc_LS_Calibrate_flag = 1;
}

void Act_Cmd_Send (uint8_t cmd) {
	uint8_t data[2];
	data[0] = cmd;
	data[1] = 255 - cmd;
	USART_SEND(2, data, 2);
	USART_TX_START(2);
}

#endif
#endif
